<?php
$routes->group(
	'cadastro-das-categorias-dos-banners', 
	[
		'namespace' => 'Modules\Cad_banner_categorias\Controllers', 
		'filter' 		=> 'CheckAccessPermission'
	], 
	function ($routes) {
		$routes->get('/', 'Cad_banner_categorias::listagem');

		$routes->match(['get', 'post'], 'novo-cadastro', 'Cad_banner_categorias::cadastrar');
		$routes->post('cadastrando', 'Cad_banner_categorias::cadastrando');
		
		$routes->match(['get', 'post'], 'alterando-cadastro/(:any)', 'Cad_banner_categorias::alterar/$1');
		$routes->post('atualizando-cadastro/(:any)', 'Cad_banner_categorias::alterando/$1');
		
		$routes->get('deletando-cadastro/(:any)', 'Cad_banner_categorias::deletar/$1');
	}
);